Skip to main content

Bank Account Inquiry

POST 

/v2/disbursement/bank-account-inquiry

You can use this endpoint to get the bank account holder name. For now, it still take us a few seconds to do the inquiry. The result will be returned as a callback if we haven’t cached it yet. If it have been cached, you will get the result instantly. Be sure to set up your callback inquiry entry in your Flip for Business Dashboard.

Get balance sequence diagram

Request

Responses

Expected Response

Callbacks

POST 

/your-callback-url

If our system has completed the bank account inquiry process, then we will hit the provided URL for the bank inquiry callback. Please make sure that you have set the Bank Account Inquiry callback URL on the Flip for Business dashboard.

Callbacks Responses

URL must return a 200 HTTP Status Code. If the URL returns another HTTP Status Code or if our system doesn’t receive any response within 30 seconds (timeout), our system will retry the request 5 times, with a 2-minute interval for the transaction callback (Money Transfer, Accept Payment, International Transfer).